var status = 0;//刚进入页面不要列出规格,点击"添加规格"后再获取列表
var spec = "";
var specChanged=false;
var old_pid_info="";
var temp_catname="";
var temp_catpath="";
var temp_cid=0;
$(document).ready(function(){
    //loading
    $('#loadingContainer').ajaxStart(function(){
	    $(this).show();
	    $('#loadingbackground').show().css({"opacity": "0.5"});
	}).ajaxStop(function(){
	    $(this).hide();
	});
    
	//添加规格
    $('#add_spec').click(function(){
        $('#ShowSpec').popup({width:'60%',height:'80%',popupHead:'SpecHead',btnClose:'popupClose'});
        if(status == 0){BindSpecs('Specs.aspx',"type=ajax&action=GetSpecName");status = 1;};
        $("select").hide();
    });
    
    //确定增加规格
    $('#btnSubmit').click(function(){		
		if(confirm("重新选择规格将清空之前的规格设置，确认吗？"))
        {
           specChanged=true;
           CreateSpecList();
        };
	});
    
    //相关商品
    $('#btnShowRelate').click(function(){
        $('#ShowRelate').popup({width:'60%',height:'80%',popupHead:'RelateHead',btnClose:'popupClose'});
    });
    
    if(getQueryStringRegExp('ProductID') != '' && getQueryStringRegExp('cid') != ''){
		$("#cid").attr("value",getQueryStringRegExp('cid'));
        $.ajax({
            url:'ProductAdd_Step2.aspx?type=ajax&Action=GetCatName&cid='+getQueryStringRegExp('cid')+'&ProductID='+getQueryStringRegExp('ProductID') + '&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data != ''){
                    $("#catname").text(data.split('|')[0]);
                    $("#catpath").attr("value",data.split('|')[1]);
                }
            },//end seccess
            error:function(){alert('error');}
        });//end ajax
        
        //绑定规格
        BindSpecList();
    };
    
    //更改分类
    $("#btnChangeCat").click(function(){
		if(confirm("重新选择分类将重新关联品牌和扩展属性，确认吗？"))
        {
            $('#ShowCategory').popup({width:'60%',height:'80%',popupHead:'SelectCategoryHead',btnClose:'popupClose'});
            temp_catname="";
            temp_catpath="";
            GetCategorys(1,1,$('#catpath').val());
		};
    }); 
    //绑定日历控件
    $('.datepicker').datepicker();
    //取消按钮   
    $('#btnCancel').click(function(){
        if(getQueryStringRegExp('from') == 'list'){
            $('#frmModify',window.parent.document).hide().siblings(':not("#loadingContainer")').show();
            return false;
        }
    });	
    settab();//顶部tab
    CheckAlert();
    SetThumbnail();
    $('#cbxNeedAlert').click(function(){CheckAlert()});
    $('#cbxFromBigPic').click(function(){SetThumbnail();});
    $('#customselectCount').val($('select[@name^=ddlFildValues_]').length);//扩展属性Select的个数
    
    if(getQueryStringRegExp('ProductID') == ''){$('#cbxAutoCreate').attr('checked','checked')};//添加商品默认将checkbox选中
    $('#cbxAutoCreate').attr('checked') ? $('#txtProductNo').hide() : $('#txtProductNo').show();
    $('#cbxAutoCreate').click(function(){
        if($(this).attr('checked')){
            $('#txtProductNo').hide();
        }else{
            $('#txtProductNo').show();
        }
    });
    
    //当扩展属性为select控件时,若选择的Value为0,就将文本框显示出来
    $('select[@name^=ddlFildValues_]').each(function(){
        SelectFieldValue($(this));
        $(this).change(function(){
            SelectFieldValue($(this));
        });
    });
    $('input[@id^=txtFieldValue_]').keyup(function(){$(this).val($(this).val().replace(/\|/g,''))});
   
    
    $('#btnAddFile').click(function(){
        var str = '<br><INPUT type="file" NAME="File">';
        $('#FileCollection').append(str);
    });
    //删除相关图片
    $('a:contains("删除")','#dgRelatedImgs').each(function(index){
        $(this).click(function(){
            var productID = getQueryStringRegExp('ProductID');
            var img = $('a:contains("relatedImgs_")','#dgRelatedImgs').eq(index).html();//要删除的图片名
            $.ajax({
                url:'ProductAdd_Step2.aspx?type=ajax&Action=DeleteRelatedImgByAjax&ProductID='+productID + '&ItemIndex=' + index + '&img=' + img + '&NoCopyRight=1',
                cache:false,
                success:function(data){
                    if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                    if(data == 1){$('tr:contains("relatedImgs_")','#dgRelatedImgs').eq(index).remove();}    //如果返回值为1,就将行删除
                },
                error:function(){alert('error');}
            });
            return false;
        });
    });
     
	//保存前先检测填写是否正确
    $('#btnSave').click(function(){
        if(!check()){
            return false;
        }else{
             //获取规格信息供后台读取
	        GetSpecInfo();
	        //return false;
        };
    });
    
    
    //搜索相关商品
    $('#btnAbout').click(function(){
        $.ajax({
            url:'ProductAdd_Step2.aspx?type=ajax&Action=SearchProductAjax&keyword=' + escape($('#txtAboutKey').val()) + '&NoCopyRight=1',
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data != ''){
                    $('#search_result_head').siblings().remove();
                    $('#search_result_head').after(data).show();
                }else{
                    $('#search_result_head').siblings().remove();
                }
            },//end success
            error:function(){alert('error');}
        });//end ajax
        
        return false;
    });
    //相关商品 全选/取消
    $('#chkAll_list').click(function(){$('input[@name=chkItem_list]').attr('checked',$(this).attr('checked'))});
    $('#chkAll_search').click(function(){$('input[@name=chkItem_search]').attr('checked',$(this).attr('checked'))});   
    
});

function SelectFieldValue(obj){
    var index = obj.attr('name').split('_')[1];
    if(obj.val() == '0'){$('#span_fieldvalue_'+index).show();}else{$('#span_fieldvalue_'+index).hide();}
};

//是否显示库存警告数量
function CheckAlert(){if($('#cbxNeedAlert').attr('checked')){$("#mininum").show();}else{$("#mininum").hide();}};
//是否显示缩图宽度
function SetThumbnail(){if($('#cbxFromBigPic').attr('checked')){$("#ThumbnailPic").hide();}else{$("#ThumbnailPic").show();}};

//tab
function settab(){
    var items = $('li.menuitem').length;
    $('li.menuitem').each(function(index){
        $(this).click(function(){
            $(this).addClass('tabon').removeClass('tabout').siblings('.menuitem').removeClass('tabon').addClass('tabout');
            if(index != 0){
                $('div.tab').hide();
                $('div.tab').eq(index - 1).show();
            }else{
                $('div.tab').show();
            }
        });
    });
};
//检测填写的信息是否合法
function check(){
    var floatReg = new RegExp(/[^\d\.]/g);
    var intReg = new RegExp(/[^\d]/g);//整数
    var posIntReg = new RegExp(/^[1-9]*[1-9][0-9]*$/g);//正整数
    if($('#txtName').val().Trim() == ''){alert('商品名称必须填写');return false;}
    if(!$('#cbxAutoCreate').attr('checked')){if($('#txtProductNo').val().Trim() == ''){alert('商品编号必须填写');return false;}}
    if($('#txtUnit').val().Trim() == ''){alert('商品单位必须填写');return false;}
    if($('#txtWeight').val().Trim() == ''){alert('单位重量必须填写');return false;}else if(floatReg.test($('#txtWeight').val().Trim())){alert('单位重量填写不正确');return false;}
    if($('#txtScore').val().Trim() == ''){alert('积分必须填写');return false;}else if(intReg.test($('#txtScore').val().Trim())){alert('积分填写不正确');return false;}
    if($('#txtMarketPrice').val().Trim() == ''){alert('市场价格必须填写');return false;}else if(floatReg.test($('#txtMarketPrice').val().Trim())){alert('市场价格填写不正确');return false;}
    if($('#txtMemberPrice').val().Trim() == ''){alert('会员价格必须填写');return false;}else if(floatReg.test($('#txtMemberPrice').val().Trim())){alert('会员价格填写不正确');return false;}
    if($('#txtMin').val().Trim() == ''){alert('最低购买量必须填写');return false;}else if(intReg.test($('#txtMin').val().Trim())){alert('最低购买量填写不正确');return false;}
    if($('#startTime').val().Trim() == ''){alert('上架时间必须填写');return false;};
    if($('#endTime').val().Trim() == ''){alert('下架时间必须填写');return false;};
    //if($('#lbxCategories').val() == null){alert('请至少选择一个分类');return false;}
    
    //图片格式
    var imgpass = true;
    $('input[@type=file]').each(function(){
        if($(this).val().Trim() != ''){
            var extendName = $(this).val().substring($(this).val().lastIndexOf('.'));
            if(extendName.toLowerCase() != '.gif' && extendName.toLowerCase() != '.jpg')
            {
                imgpass = false;
            }
        }
    });
    if(!imgpass){alert('产品图片只支持.gif或者.jpg格式');return false;}
    
    if($('#cbxFromBigPic').attr('checked')){if(! posIntReg.test($('#txtPicWidth').val())){alert('缩略图宽度不正确');return false;}}
    if($('#txtStorage').val().Trim() == ''){alert('最新入库数量填写不正确');return false;}else if(intReg.test($('#txtStorage').val().Trim())){alert('最新入库数量填写不正确');return false;}
    if($('#txtMininum').val().Trim() == ''){alert('库存警告数量填写不正确');return false;}else if(intReg.test($('#txtMininum').val().Trim())){alert('库存警告数量填写不正确');return false;}
    
    var isNoExists = false;//判断商品编号是否存在
    if(getQueryStringRegExp("ProductID") == ""){//添加商品
        if(!$('#cbxAutoCreate').attr('checked')){
            $.ajax({
                url:'ProductAdd_Step2.aspx?type=ajax&Action=IsExistProductNo&ProductNo='+escape($('#txtProductNo').val()) + '&NoCopyRight=1',
                async:false,
                cache:false,
                success:function(data){
                    if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                    if(data==0){isNoExists = false;}else{isNoExists = true;}
                },
                error:function(){alert('IsExistProductNo_error1')}
            });
        };
    }else{//修改商品
        $.ajax({
            url:'ProductAdd_Step2.aspx?type=ajax&Action=IsExistProductNo&ProductNo='+escape($('#txtProductNo').val())+'&ProductID='+getQueryStringRegExp("ProductID") + '&NoCopyRight=1',
            async:false,
            cache:false,
            success:function(data){
                if(!checkLoginStatus(data)){return false;}//是否要重新登陆
                if(data==0){isNoExists = false;}else{isNoExists = true;}
            },
            error:function(){alert('IsExistProductNo_error2')}
        });
    }
    if(isNoExists){alert('此商品编号已存在！');return false;}else{return true;};
};

function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
        parent.window.location="../../adminlogin.aspx";
    }
    return result;
};

function ManageCustomFields(pid)
{
    temp=window.open('ProductCustomField.aspx?productid='+pid,'customfield','width=680,height=600,scrollbars=yes,top=0,left=0');
    temp.focus();
};

function BindSpecs(weburl,urldata){
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg){
            var data = msg.Specs;
             $.each(data,function(i,m){
				$("<li>"+m.SpecName+"</li>").attr("SpecID",m.SpecID).addClass("hand").appendTo($("#spec_name")).click(function(){
					$(this).addClass("selected");
					$(".svalue").hide();
					$(".spec_value_item"+m.SpecID).show();		
				});
				var spec_value = eval('('+m.SpecValue+')');
				$.each(spec_value,function(j,n){
					$("<li class='svalue'><input type='checkbox' name='cbsvalue' value='"+n.value+"'/>"+n.value+"</li>").addClass("spec_value_item"+m.SpecID).addClass("hide").appendTo($("#spec_value"));
				});
             });
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
};//end funciton

function CreateSpecList(){
	var spec_info="{'Specs':[";	
	var flag1=false;
	$("#spec_name").children().each(function(){
		var temp="";	
		temp += "{'SpecID':'"+$(this).attr("SpecID")+"','SpecName':'"+$(this).text()+"','SpecValue':[";
		var flag2 = false;
		$(".spec_value_item"+$(this).attr("SpecID")).children("[@checked]").each(function(){
			temp += "{'value':'"+$(this).val()+"'},";
			flag1=true;
			flag2 = true;
		});
		if(flag2){
			temp = temp.substring(0,temp.length-1);			
		};
		temp += "]},";
		if(flag2){
			spec_info += temp;
		};
	});
	if(flag1){
		spec_info = spec_info.substring(0,spec_info.length-1);
	};
	spec_info += "]}";
	$("#spec_list_thead").empty();
	var specArray = new Array();
	var selected_spec_info = eval('('+spec_info+')');
	$.each(selected_spec_info.Specs,function(i,m){	
		if(i==0){
			$("<td>商品编号</td>").addClass("hd").appendTo($("#spec_list_thead"));
			spec = "{'Specs':[";
		};
		$("<td>"+m.SpecName+"</td>").addClass("hd").appendTo($("#spec_list_thead"));
		//记录规格名称供后台读取
		
		if(i==selected_spec_info.Specs.length-1){
			$("<td>库存</td><td>市场价</td><td>会员价</td><td>操作</td>").addClass("hd").appendTo($("#spec_list_thead"));
			spec += "{'SpecID':'"+m.SpecID+"','SpecName':'"+m.SpecName+"'}";
			spec += "]}";
		}else{
		    spec += "{'SpecID':'"+m.SpecID+"','SpecName':'"+m.SpecName+"'},";
		};
		//specArray.push(m.SpecValue);
		var svalue="";
		$.each(m.SpecValue,function(j,n){
			if(j==m.SpecValue.length-1){
				svalue += n.value;
			}else{
				svalue += n.value+",";
			};
		});
		specArray.push(svalue);
	});
	//获取规格的组合个数
	$("#spec_list_tbody").children().remove();	
	if(specArray.length > 0){
	    var zuheResult=null;
	    zuheResult = CC(specArray,specArray.length,0);
	    for(var i=0;i<zuheResult.length;i++){
		    var obj="<td><input type='text' name='pno' value='"+CreateNo(i)+"' /></td>";
		    for(var j=0;j<zuheResult[i].length;j++){
			    obj += "<td>"+zuheResult[i][j]+"</td>";
		    };
		    obj += "<td><input type='text' name='pstorage' value='' /></td><td><input type='text' name='mktprice' value='' /></td><td><input type='text' name='mbprice' value='' /></td>";
		    var tempTr = $("<tr id='product"+i+"'></tr>").attr("pid","0").appendTo($("#spec_list_tbody"))		
		    $(obj).appendTo(tempTr);
		    var tempControl = $("<td></td>").appendTo(tempTr)
		    $("<span>删除</span>").addClass("hand").appendTo(tempControl).click(function(){
			    $(this).parent().parent().remove();
		    });
	    };
	}else{
	};
};

function CC(arr,num,item){
	var r=[];
	(function f(t,a,len,it){
		if(it < len){
			for(var i=0;i<a[it].split(',').length;i++){
				f(t.concat(a[it].split(',')[i]),a,len,it+1);
			};
		}else{
			r.push(t);
		};
	})
	([],arr,num,item);
	return r;
}

function CreateNo(item){
	item++;
	var pno = null;
	if($("#txtProductNo").val()!=""){
		pno=$("#txtProductNo").val()+"-"+Array(2).join("0").concat(item).slice(-2);
	}else{
		pno="";
	};
	return pno;
};
function GetSpecInfo(){
    $("<input type='hidden' name='spec_num'/>").val($("#spec_list_tbody").children().length).appendTo($("#hidden_info"));
	//$("#spec_num").val();
	var spec_desc="";
	var pid_info="";
	$("#spec_list_tbody").children().each(function(i){
	    var $tempTr = $(this);
	    $tempTr.children().each(function(j){
	        if((j>0) && (j<( $tempTr.children().length-4))){
	            if(j==($tempTr.children().length-5)){
	                spec_desc += $(this).text();
	            }else{
	                spec_desc += $(this).text()+" ";
	            };
	        };
	    });
	    pid_info += $tempTr.attr("pid");
	    if(i!=$("#spec_list_tbody").children().length-1){pid_info += ",";spec_desc += "|";};
	    $(this).children().children("input[@name=pno]").attr("name","pno"+i);
	    $(this).children().children("input[@name=pstorage]").attr("name","pstorage"+i);
	    $(this).children().children("input[@name=mktprice]").attr("name","mktprice"+i);
	    $(this).children().children("input[@name=mbprice]").attr("name","mbprice"+i);
	});
	alert(spec);
	//alert(spec_desc);
	//var isChanged = specChanged ? 1 : 0;
	$("<input type='hidden' name='spec'/>").val(spec).appendTo($("#hidden_info"));
	$("<input type='hidden' name='spec_desc'/>").val(spec_desc).appendTo($("#hidden_info"));
	//$("<input type='hidden' name='spec_changed'/>").val(isChanged).appendTo($("#hidden_info"));
	//$("<input type='hidden' name='pid_info'/>").val(pid_info).appendTo($("#hidden_info"));
	$("<input type='hidden' name='old_pid_info'/>").val(old_pid_info).appendTo($("#hidden_info"));
	//alert(pid_info);
	//alert(old_pid_info);
};

function BindSpecList(){
	var flag = false;
	//记录修改前的商品ID
	old_pid_info += getQueryStringRegExp('ProductID');
	$.ajax({
        type:"get",
        dataType:"json",
        url:'ProductAdd_Step2.aspx?NoCopyRight=1',
        data:'type=ajax&action=GetSpec&cid='+getQueryStringRegExp('cid')+'&ProductID='+getQueryStringRegExp('ProductID'),
        cache:false,
        success:function(msg){
			spec = $.toJSON(msg);
            var data = msg.Specs;
             $.each(data,function(i,m){
				flag=true;
				if(i==0){
					$("<td>商品编号</td>").addClass("hd").appendTo($("#spec_list_thead"));
				};
				$("<td>"+m.SpecName+"</td>").addClass("hd").appendTo($("#spec_list_thead"));				
				if(i==data.length-1){
					$("<td>库存</td><td>市场价</td><td>会员价</td><td>操作</td>").addClass("hd").appendTo($("#spec_list_thead"));
				};
             });
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
    //if(flag){
		$.ajax({
			type:"get",
			dataType:"json",
			url:'ProductAdd_Step2.aspx?NoCopyRight=1',
			data:'type=ajax&action=GetSpecDesc&cid='+getQueryStringRegExp('cid')+'&ProductID='+getQueryStringRegExp('ProductID'),
			cache:false,
			success:function(msg){
				var data = msg.SpecDesc;
				$.each(data,function(i,m){
					//记录修改前的商品ID
					if(i!=0){old_pid_info += ","+m.PID;};				
					var arrNSP= new Array();
					var arrSpecName = new Array();
					arrSpecName=m.Desc.split(' ');
					arrNSP=GetNSP(m.PID).split('|');
					var obj="<td><input type='text' name='pno' value='"+arrNSP[0]+"' /></td>";
					for(var j=0;j<arrSpecName.length;j++){
						obj += "<td>"+arrSpecName[j]+"</td>";
					};
					obj += "<td><input type='text' name='pstorage' value='"+arrNSP[1]+"' /></td><td><input type='text' name='mktprice' value='"+arrNSP[2]+"' /></td><td><input type='text' name='mbprice' value='"+arrNSP[3]+"' /></td>";
					var tempTr = $("<tr id='product"+i+"'></tr>").attr("pid",m.PID).appendTo($("#spec_list_tbody"))
					$(obj).appendTo(tempTr);
					var tempControl = $("<td></td>").appendTo(tempTr);
					$("<span>删除</span>").addClass("hand").appendTo(tempControl).click(function(){
						$(this).parent().parent().remove();
					});
					
				});
			},//end success
			error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
		});//end ajax
    //};
};
function GetNSP(pid)
{
	 var nsp=null;
	 $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetNSP&pid='+pid + '&NoCopyRight=1',
        cache:false,
        async:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;};//是否要重新登陆
            if(data != ''){
               nsp=data;
               alert(data);
            };
        },//end seccess
        error:function(){alert('error');}
    });//end ajax
    return nsp;
};
function GetCategorys(cid,depth,path){
	 $.ajax({
		type:"get",
        dataType:"json",
        url:"ProductAdd_Step1.aspx?NoCopyRight=1&action=GetCategorys&cid="+cid,
        cache:false,
        success:function(msg){
			var parentObj = $("<li><ul><ul></li>").appendTo($("#cul"));
            var data = msg.Categorys;
			$.each(data,function(i,n){
				var item=$("<li>"+n.Name+"</li>").addClass("citem").appendTo(parentObj).click(function(){
					temp_cid=n.CategoryID;
					if(depth==1){
						temp_catname=n.Name;
						temp_catpath=n.CategoryID;
					}else{
						var arr_catname = temp_catname.split('>>');
						var arr_catpath = temp_catpath.split(',');
						temp_catname="";
						temp_catpath="";
						$.each(arr_catpath,function(p,q){
							if(p<(depth-1)){
								if(p!=0){
									temp_catname += ">>";
									temp_catpath += ",";
								};
								temp_catname += arr_catname[p];
								temp_catpath += arr_catpath[p];
							};						
						});	
						temp_catname += ">>"+n.Name;
						temp_catpath += ","+n.CategoryID;
					};
					$(this).parent().nextAll().remove();//绑定下级分类前清空之前的数据
					$("#next").unbind("click");//取消下一步按钮的click事件
					if(n.Child=="0"){
						
						//最底层分类的时候激活下一步按钮并绑定事件			
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							if($("#cid").val() != temp_cid){
								InitFB(temp_cid);
								$("#cid").attr("value",temp_cid);
							};
							$("#catname").text(temp_catname);
							$("#catpath").attr("value",temp_catpath);
							$("#cul").html("");
							 disablePopup($("#ShowCategory"),$("#backgroundPopup"));
						});
					}else{						
						$("#next").removeClass("enable");
						$("#next").addClass("disable");
						GetCategorys(n.CategoryID,depth+1,path);
					};
					$(this).siblings().removeClass("selected");
					$(this).addClass("selected");
				});//end click
				if(n.CategoryID==path.split(',')[depth-1]){
					item.siblings().removeClass("selected");
					item.addClass("selected");
					if(depth!=1){
						temp_catname += ">>";
						temp_catpath +=",";
					};
					temp_catname += n.Name;
					temp_catpath += n.CategoryID;
					if(depth==(path.split(',').length)){
						//最底层分类的时候激活下一步按钮并绑定事件
						$("#next").removeClass("disable");
						$("#next").addClass("enable");
						$("#next").click(function(){
							if($("#cid").val() != temp_cid){
								InitFB(temp_cid);
								$("#cid").attr("value",temp_cid);
							};
							$("#catname").attr("value",temp_catname);
							$("#catpath").attr("value",temp_catpath);
							$("#cul").html("");
						});
					}else{					
						GetCategorys(n.CategoryID,depth+1,path);
					};
				};
            });//end each
        },//end success
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!');parent.window.location="../../adminlogin.aspx";}}
    });//end ajax
};
//修改分类后重新绑定扩展属性和品牌
function InitFB(cid){
    //获取扩展属性
    var urlProductID = getQueryStringRegExp("ProductID") == "" ? "" : "ProductID="+parseInt(getQueryStringRegExp("ProductID"));
    $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetFieldValues&cid='+cid + '&' + urlProductID + '&NoCopyRight=1',
        cache:false,
        success:function(data){
            if(!checkLoginStatus(data)){return false;}//是否要重新登陆
            if(data != ''){
                $('#tb_productfield').html(data);
                $('select[@name^=ddlFildValues_]').each(function(){
                    SelectFieldValue($(this));
                    $(this).change(function(){
                        SelectFieldValue($(this));
                    });
                    $('input[@id^=txtFieldValue_]').keyup(function(){$(this).val($(this).val().replace(/\|/g,''))});
                });
                $('#customchoiceCount').val($('input[@type=checkbox][@name^=checkbox_]').length);//扩展属性CheckBox的个数
                $('#customselectCount').val($('select[@name^=ddlFildValues_]').length);//扩展属性Select的个数
            }else{
                $('#tb_productfield tr').remove();//如果为空,将表内的内容清除
                 $('#customselectCount').val("0");
            }
        },//end seccess
        error:function(){alert('error:GetFieldValues');}
    });//end ajax
    
    //获取品牌
    $.ajax({
        url:'ProductAdd_Step2.aspx?type=ajax&Action=GetBrandByCatID&cid='+cid + '&NoCopyRight=1',
        cache:false,
        success:function(data){
            $('#ddlBrand').html(data);
        },
        error:function(){alert('error:GetBrandByCatID');}
    });
    return false;
};
